Bug 969990 - service fcoe-target restart will lose some backstore configuration.
service fcoe-target restart will lose some backstore configuration.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fcoe-target-utils (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On: 951636
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 05:26 EDT by Xiaowei Li
Modified: 2015-01-26 19:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 17:52:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2013-06-03 05:26:27 EDT
Description of problem:
service fcoe-target restart will lose some backstore configuration.


Version-Release number of selected component (if applicable):
kernel-2.6.32-358.el6.x86_64
fcoe-target-utils-2.0rc1.fb16-3.el6.noarch


How reproducible:
100%
easy to reproduce. please let me know if you want more information.


Steps to Reproduce:
1. targetcli>
/backstores/block> create name=disk01 dev=/dev/mapper/mpathe
exit 
2. then service fcoe-target restart
3. targetcli to check the config


Actual results:
the previous configured block backstore is gone.

Expected results:
should not lose any config after restarting fcoe-target


Additional info:
Comment 3 RHEL Product and Program Management 2013-07-03 13:59:49 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Andy Grover 2013-07-03 14:19:00 EDT
Can you still reproduce with kernel -388 or later? Thanks.
Comment 5 Bruno Goncalves 2013-09-30 08:45:41 EDT
I was able to reproduce it with 2.6.32-358.el6 and it is not reproducible any more on 2.6.32-420.el6.

fcoe-target-utils-2.0rc1.fb16-5.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.